from ariadne import ScalarType, QueryType, MutationType
from resolvers.service import service_resolvers

datetime_scalar = ScalarType("DateTime")


@datetime_scalar.serializer
def serialize_datetime(value):
    return value.isoformat


query = QueryType()
mutation = MutationType()
resolvers = [query, mutation, datetime_scalar, service_resolvers]
